import React, { Component } from 'react';
import { CSVLink } from 'react-csv';
import { IoMdDownload } from 'react-icons/io';
import PropTypes from 'prop-types';
/*
 The ExportFile component for the grid which will render - EXPORT download. .
 * @type {class}
* */
class GridExport extends Component {
  constructor(props) {
    super(props);
    this.state = {
      headers: this.props.metaData,
    };
  }
  render() {
    const header = this.state.headers.headerConfig.map(item =>
      ({ label: item.name, key: item.key, disable: item.disable }),
    );
    return (
      <CSVLink headers={header} data={this.props.data} className="link" >
        <IoMdDownload /> EXPORT
      </CSVLink>
    );
  }
}
export default GridExport;
GridExport.propTypes = {
  data: PropTypes.array,
  metaData: PropTypes.object,
};
GridExport.defaultProps = {
  data: [],
  metaData: {},
};
